## org.apache.myfaces.custom.schedule.renderer
Class ScheduleCompactMonthRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer
              org.apache.myfaces.custom.schedule.renderer.AbstractCompactScheduleRenderer
                  org.apache.myfaces.custom.schedule.renderer.ScheduleCompactMonthRenderer

public class ScheduleCompactMonthRenderer
extends AbstractCompactScheduleRenderer

Renderer for the month view of the Schedule component

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$), Bruno Aranda (adaptation of Jurgen's code to myfaces)

Field Summary

Fields inherited from class org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer
`comparator`

Constructor Summary
`ScheduleCompactMonthRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected int` `getDefaultRowHeight()`
`protected java.lang.String` `getRowHeightProperty()`
`protected void` `writeDayCell(javax.faces.context.FacesContext context, javax.faces.context.ResponseWriter writer, HtmlSchedule schedule, ScheduleDay day, int dayOfWeek, int dayOfMonth, boolean isWeekend, boolean isCurrentMonth, int rowspan)`

Methods inherited from class org.apache.myfaces.custom.schedule.renderer.AbstractCompactScheduleRenderer
`encodeChildren, encodeEnd, getRowHeight, writeDayCell, writeEntries`

Methods inherited from class org.apache.myfaces.custom.schedule.renderer.AbstractScheduleRenderer
`decode, getDateString, getHeaderDateFormat, getParentForm, getTheme, getTooltipText, showTooltip`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleCompactMonthRenderer

    public ScheduleCompactMonthRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Overrides:
    `encodeBegin` in class `AbstractScheduleRenderer`
  Throws:
    `java.io.IOException`
  See Also:
    `Renderer.encodeBegin(javax.faces.context.FacesContext, javax.faces.component.UIComponent)`

### getDefaultRowHeight

    protected int getDefaultRowHeight()

  Specified by:
    `getDefaultRowHeight` in class `AbstractCompactScheduleRenderer`
  Returns:
    The default height, in pixels, of one row in the schedule grid
  See Also:
    `org.apache.myfaces.custom.schedule.render.AbstractCompactScheduleRenderer#getDefaultRowHeight()`

### getRowHeightProperty

    protected java.lang.String getRowHeightProperty()

  Specified by:
    `getRowHeightProperty` in class `AbstractCompactScheduleRenderer`
  Returns:
    The name of the property that determines the row height
  See Also:
    `org.apache.myfaces.custom.schedule.render.AbstractCompactScheduleRenderer#getRowHeightProperty()`

### writeDayCell

    protected void writeDayCell(javax.faces.context.FacesContext context,
                                javax.faces.context.ResponseWriter writer,
                                HtmlSchedule schedule,
                                ScheduleDay day,
                                int dayOfWeek,
                                int dayOfMonth,
                                boolean isWeekend,
                                boolean isCurrentMonth,
                                int rowspan)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`
  See Also:
    `org.apache.myfaces.custom.schedule.render.AbstractCompactScheduleRenderer#writeDayCell(javax.faces.context.FacesContext, javax.faces.context.ResponseWriter, org.apache.myfaces.custom.schedule.HtmlSchedule, org.apache.myfaces.custom.schedule.model.ScheduleDay, int, int, int, boolean, boolean, int)`